module LndhubManager
  class FetchUserBalance < Lndhub
    def initialize(auth_token:)
      @auth_token = auth_token
    end

    def call
      data = fetch_balance(auth_token)
      data["BTC"]["AvailableBalance"] rescue nil
    end
  end
end
